import { Component, h, Prop } from '@stencil/core';
export class SAbdullakhForm {
    render() {
        return (h("form", { class: "form", action: "" },
            h("div", { class: "mt-4" },
                h("div", { class: "form_text" }, this.arr.nameInterview),
                h("div", null,
                    h("input", { class: "inputSize", type: "text" }))),
            h("div", { class: "mt-4" },
                h("div", { class: "form_text" }, this.arr.businessInterview),
                h("div", null,
                    h("select", { class: "inputSize" },
                        h(Select, { arr: this.arr.businessSelect })))),
            h("div", { class: "mt-4" },
                h("div", { class: "form_text" },
                    this.arr.websiteInterview,
                    ")"),
                h("div", null,
                    h("input", { class: "inputSize", type: "text" }))),
            h("div", { class: "mt-4" },
                h("div", { class: "form_text" },
                    this.arr.numberInterview,
                    ")"),
                h("div", null,
                    h("input", { class: "inputSize", type: "tel", placeholder: "(999) 999-99-99" }))),
            h("div", { class: "form_btn_block mt-4" },
                h("button", { class: "form_btn" },
                    this.arr.btnText,
                    ")"))));
    }
    static get is() { return "s-abdullakh-form"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-form.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-form.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "arr",
            "reflect": false
        }
    }; }
}
/*
* компонентная функция для вывода элементов option
 */
const Select = (props) => {
    return props.arr.map((item) => {
        return (h("option", { value: item.select, selected: item.selected }, item.select));
    });
};
